=== doc/Makefile ===
FILE=geoproof-manual-fr


include $(HOME)/texmf/Makefile.source

CLASS=article
