=== debian/changelog ===
geoproof (0.5beta-svn106uk3) unstable; urgency=low

  * depend on coq

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 23 Oct 2012 06:52:15 +0000

geoproof (0.5beta-svn106uk2) unstable; urgency=low

  * fix rules file

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 22 Oct 2012 21:34:00 +0000

geoproof (0.5beta-svn106uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 22 Oct 2012 07:25:16 +0000

drgeocaml (0.4-1) unstable; urgency=low

  * Initial release: 

 -- Georges Mariano <mariano@alix>  Mon, 31 Oct 2005 11:04:01 +0100
