=== lib/libgettext-ocaml-0.1/debian/changelog ===
libgettext-ocaml (0.1) unstable; urgency=low

  * New uptream version

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Fri, 18 Jul 2003 22:32:14 +0200
