=== debian/control ===
Source: geoproof
Section: math
Priority: optional
Maintainer: A. Gebhardt <agebhard@aau.at>
Build-Depends: debhelper (>= 4.0.0), ocaml, libcairo-ocaml-dev, librsvg2-dev, libxml-light-ocaml-dev, liblablgtk2-gnome-ocaml-dev, libcreal-ocaml-dev
Standards-Version: 3.6.1

Package: geoproof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coq
Description: GeoProof, an interactive geometry software with proof related features
 This program is an interactive geometry software similar to Cabri
 Geometre,GeoPlan, Kig... 
 It contains automated theorem proving features.
 Interactive theorem proving is in development.
 To use the features related to Coq, you need Coq version 8.1 beta or later.
