=== lib/libgettext-ocaml-0.1/debian/rules ===
#!/usr/bin/make -f
export DH_COMPAT=4

OCAML_VERSION=3.06

config.status: configure
	dh_testdir
	./configure  

build-arch: config.status build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) all
	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp: 
	dh_testdir

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp 
	$(MAKE) distclean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp -R .libs/camlgettext $(CURDIR)/debian/libgettext-ocaml-dev/usr/lib/ocaml/$(OCAML_VERSION)/
	rm $(CURDIR)/debian/libgettext-ocaml-dev/usr/lib/ocaml/$(OCAML_VERSION)/camlgettext/*.so
	cp .libs/camlgettext/*.so $(CURDIR)/debian/libgettext-ocaml/usr/lib/ocaml/$(OCAML_VERSION)/stublibs/
	chrpath -d $(CURDIR)/debian/libgettext-ocaml/usr/lib/ocaml/$(OCAML_VERSION)/stublibs/*.so

install-indep: DH_OPTIONS=
install-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

binary-indep: build install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install
